Get End Cert List

Prev Next

Available in Classic and VPC

Get the list of all private certificates issued by a CA.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/ca/{caTag}/cert

Request headers

For information about the headers common to all CA APIs, see CA request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
caTag String Required CA tag value

Request example

The following is a sample request.

curl --location --request GET 'https://pca.apigw.ntruss.com/api/v1/ca/********-********/cert' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
code String - Response code
msg String - Response message
data Object - Response result
data.totalCnt Long - No. of total certificates
data.listCerts Array - Certificate serial number list
data.totalPageNo Long - Total page number
data.currentPageNo Long - Current page number

Response status codes

For information about the HTTP status codes common to all CA APIs, see CA response status codes.

Response example

The following is a sample example.

{
    "code": "SUCCESS",
    "msg": "Success",
    "data": {
        "totalCnt": 2,
        "listCerts": [
            "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**",
            "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**"
        ],
        "totalPageNo": 1,
        "currentPageNo": 1
    }
}